/*
 * Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.wso2.carbon.messaging;

/**
 * Common constants used in message property.
 */
public final class Constants {


    public static final String PROTOCOL = "PROTOCOL";

    public static final String RESPONSE_CALLBACK = "RESPONSE_CALLBACK";

    public static final String HOST = "HOST";

    public static final String PORT = "PORT";

    public static final String TO = "TO";

    public static final String DIRECTION = "DIRECTION";

    public static final String DIRECTION_REQUEST = "DIRECTION_REQUEST";

    public static final String DIRECTION_RESPONSE = "DIRECTION_RESPONSE";

    public static final String CALL_BACK = "CALL_BACK";

    public static final String EXCHANGE = "EXCHANGE";

    public static final String LISTENER_PORT = "LISTENER_PORT";

    public static final String ERROR_MESSAGE = "ERROR_MESSAGE";

    public static final String ERROR_DETAIL = "ERROR_DETAIL";

    public static final String ERROR_CODE = "ERROR_CODE";

    public static final String ERROR_EXCEPTION = "ERROR_EXCEPTION";

    public static final String LISTENER_INTERFACE_ID = "LISTENER_INTERFACE_ID";

    //Status of a status message
    public static final String STATUS_OPEN = "STATUS_OPEN";
    public static final String STATUS_CLOSE = "STATUS_CLOSE";

    private Constants() {
    }
}
